Bug 261322 - [NEW PORT] textproc/py-mkdocs-simple-hooks: MkDocs plugin to define hooks
Summary: [NEW PORT] textproc/py-mkdocs-simple-hooks: MkDocs plugin to define hooks
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Neel Chauhan
URL:
Keywords: feature, needs-qa
Depends on:
Blocks: 262206
  Show dependency treegraph
 
Reported: 2022-01-18 22:52 UTC by Samir Noir
Modified: 2022-03-12 05:45 UTC (History)
3 users (show)

See Also:
samir: maintainer-feedback+


Attachments
patch (made with git format-patch) (1.99 KB, patch)
2022-01-18 22:52 UTC, Samir Noir
no flags Details | Diff
updated patch (made with git format-patch) (2.24 KB, patch)
2022-01-19 21:02 UTC, Samir Noir
no flags Details | Diff
Updated patch (2.26 KB, patch)
2022-02-03 12:36 UTC, Samir Noir
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Samir Noir 2022-01-18 22:52:24 UTC
Created attachment 231144 [details]
patch (made with git format-patch)

Hello,

mkdocs-simple-hooks is an MkDocs plugin to create hooks to call in the process of generating a website with MkDocs.

poudriere testport: OK
portlint: OK (just a warning about directory for dependency mkdocs, but it seems the case for other Python ports).

Thanks
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2022-01-19 01:20:22 UTC
Review items:

 - LICENSE file is included in distribution file, add LICENSE_FILE accordingly
 - Package provides, entry_point, port should be made USE_PYTHON=concurrent safe
 - Consider using github sources so that tests can be run (add TEST_DEPENDS and a (do-)test target to port
Comment 2 Samir Noir 2022-01-19 21:02:05 UTC
(In reply to Kubilay Kocak from comment #1)

I've made the modifications according to your review, in the new patch in attachment.

Now Github is used instead of CHEESESHOP.
Comment 3 Samir Noir 2022-01-19 21:02:48 UTC
Created attachment 231167 [details]
updated patch (made with git format-patch)
Comment 4 Samir Noir 2022-01-19 21:04:26 UTC
About portlint, the warning is:
 WARN: Makefile: you may want directory for dependency mkdocs>=1.2.0 to be textproc/py-mkdocs@${PY_FLAVOR}
Comment 5 Samir Noir 2022-02-03 12:36:20 UTC
Created attachment 231534 [details]
Updated patch

This is an updated patch with missing test_depends
Comment 6 Neel Chauhan freebsd_committer 2022-03-12 05:43:52 UTC
Committed!
Comment 7 commit-hook freebsd_committer 2022-03-12 05:45:07 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=ed32a6daccaaddc8a597d3edc752399fb7101d4a

commit ed32a6daccaaddc8a597d3edc752399fb7101d4a
Author:     Samir Noir <samir@noir.im>
AuthorDate: 2022-01-19 20:58:12 +0000
Commit:     Neel Chauhan <nc@FreeBSD.org>
CommitDate: 2022-03-12 05:43:38 +0000

    textproc/py-mkdocs-simple-hooks: New port

    PR:     261322

 textproc/Makefile                               |  1 +
 textproc/py-mkdocs-simple-hooks/Makefile (new)  | 28 +++++++++++++++++++++++++
 textproc/py-mkdocs-simple-hooks/distinfo (new)  |  3 +++
 textproc/py-mkdocs-simple-hooks/pkg-descr (new) |  4 ++++
 4 files changed, 36 insertions(+)